LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 11-21-2021, 05:17 AM   #1
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
building cdrtools on -current


while building cdrtools there are a bunch of "fatal errors" but without stopping the package to built despite the " | exit 1" at the end the "make ..." line in the cdrtools.SlackBuild.
------------------------
In file included from base64.c:2:
config.h:34:10: fatal error: lconfig.h: No such file or directory
34 | #include "lconfig.h"
| ^~~~~~~~~~~
compilation terminated.
==> MAKING DEPENDENCIES "OBJ/intel-r--core-tm--i7-6700-cpu-@-3.40ghz-linux-cc/ioctl.d"
In file included from ioctl.c:2:
config.h:34:10: fatal error: lconfig.h: No such file or directory
34 | #include "lconfig.h"
| ^~~~~~~~~~~
-----------------------
the package builds, despite it should stop on the "fatal error"???

Last edited by nobodino; 11-21-2021 at 06:32 AM.
 
Old 11-21-2021, 06:49 AM   #2
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,060

Rep: Reputation: Disabled
Maybe related: https://sourceforge.net/p/cdrtools/m...sage/35247455/
 
Old 11-21-2021, 11:47 AM   #3
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
Thanks D. Spaier, I found a solution to build without error:
---------------------------------
--- cdrtools.SlackBuild 2021-02-13 06:31:52.716945587 +0100
+++ cdrtools.SlackBuild.new 2021-11-21 18:45:09.615665416 +0100
@@ -66,8 +66,12 @@

zcat $CWD/cdrtools-3.01-fix-20151126-mkisofs-isoinfo.patch.gz | patch -p1 --verbose || exit 1

-make -e $NUMJOBS INS_BASE=/usr DEFMANBASE=. || make -e INS_BASE=/usr DEFMANBASE=. || exit 1
-make -e install INS_BASE=/usr DEFMANBASE=. DESTDIR=$PKG || exit 1
+# patch to build cdda2wav without the "lconfig.h fatal error" and cdrtools doesn't support parallel build
+# see https://www.linuxfromscratch.org/blf.../cdrtools.html
+cat $CWD/cdrtools-cdda2wav.patch | patch -p1 --verbose || exit 1
+
+export GMAKE_NOWARN=true && make -j1 -e INS_BASE=/usr DEFMANBASE=. || exit 1
+export GMAKE_NOWARN=true && make -e install INS_BASE=/usr DEFMANBASE=. DESTDIR=$PKG || exit 1

# I don't know why this couldn't be "/etc/cdrtools" or something, but since
# getty uses it already I'm not going to argue the point.
-----------------------------------
Attached Files
File Type: txt cdrtools-cdda2wav.patch.txt (1.5 KB, 11 views)
 
Old 11-22-2021, 12:13 AM   #4
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
What has been modified in the slackBuild is this:
---------------------
# When running make below, you'll see "errors" like these:
# config.h:34:10: fatal error: lconfig.h: No such file or directory
# 34 | #include "lconfig.h"
# However, lconfig.h will eventually be generated from lconfig.h.in, the build
# will restart, and the package will be correctly built. Since there are no
# ill effects from this I see no compelling reason to try to patch it here.
make -e INS_BASE=/usr DEFMANBASE=. || exit 1
make -e install INS_BASE=/usr DEFMANBASE=. DESTDIR=$PKG || exit 1
--------------------
the "fatal error" occurs before the generation of lconfig.h

Thanks to PV.

Last edited by nobodino; 11-22-2021 at 03:03 AM.
 
1 members found this post helpful.
Old 11-22-2021, 06:08 AM   #5
Nobby6
Member
 
Registered: Jul 2012
Location: Sunshine Coast, Australia
Distribution: Slackware 64
Posts: 237
Blog Entries: 1

Rep: Reputation: 212Reputation: 212Reputation: 212
Quote:
Originally Posted by nobodino View Post
while building cdrtools there are a bunch of "fatal errors" but without stopping the package to built despite the " | exit 1" at the end the "make ..." line in the cdrtools.SlackBuild.
------------------------
In file included from base64.c:2:
config.h:34:10: fatal error: lconfig.h: No such file or directory
34 | #include "lconfig.h"
| ^~~~~~~~~~~
compilation terminated.
==> MAKING DEPENDENCIES "OBJ/intel-r--core-tm--i7-6700-cpu-@-3.40ghz-linux-cc/ioctl.d"
In file included from ioctl.c:2:
config.h:34:10: fatal error: lconfig.h: No such file or directory
34 | #include "lconfig.h"
| ^~~~~~~~~~~
-----------------------
the package builds, despite it should stop on the "fatal error"???


Strange, no fatal errors when I build from source from his master package, though J has gone all weird in recent couple years wanting everyone to use his schillytools and building everything including the kitchen sink that we'll never use nor want now rather than just cdrtools, but you can of course build only individuals from that tree, so anything is possible.

caveat: I last built it
ls -la `which cdrecord`
-rwxr-xr-x 1 root root 525764 Jun 9 2021 /usr/bin/cdrecord*

I guess he has a later version, I'll see if it errors.

Last edited by Nobby6; 11-22-2021 at 06:48 AM.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
cdrtools installation Bon Bon Red Hat 12 04-01-2004 04:25 PM
xcdroast installation problems despite use of --with-cdrtools-prefix=/usr/bin ??? Raptor Ramjet Slackware 4 01-27-2004 06:55 AM
error compiling cdrtools on kernel 2.6.0: /usr/bin/ld: cannot find -lscg qanopus Linux - Software 1 12-21-2003 08:15 AM
how to install cdrtools and xcdroast? (concrete solutions only) szmartby Linux - Software 2 09-14-2003 09:40 PM
cdrtools compilation Thetargos Linux - Software 4 06-22-2003 06:05 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 07:19 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration